Subject: bug#7641: use more familiar names for mouse events

From: Stefan Monnier <[email-masked]>
Date: Mon, 27 Dec 2010 11:05:20 -0500

>>> I think the general public are more familiar with right-mouse
>>> center-mouse left-mouse than these names.
>> Except that in Emacs, they could be remapped (e.g., mouse-3 could be a
>> simultaneous click on both left and right buttons).  If we use left,
>> right, and center, the manual could be simply wrong for some
>> configurations.
> I don't understand this quite well.

Simple: mouse-3 is the button which X-windows defines as the button
number 3.  Depending on your configuration and on the kind of input
device you're using, it may be the right mouse button or it could be
... anything else.

So it's OK for the manual to say that mouse-1 is usually the left mouse
button, but it would be wrong for Emacs and its manual to always use
mouse-left in place of mouse-1.

        Stefan